package jnet.lib.object;

import java.io.Serializable;

public class ServerConfig implements Serializable {

    private int pingRepeat;
    private int pingAttempt;
    private int pingTimeout;
    private int instabilityAttempt;
    private int instabilityLimit;

    public ServerConfig(int pingRepeat, int pingAttempt, int pingTimeout, int instabilityAttempt, int instabilityLimit) {
        this.pingRepeat = pingRepeat;
        this.pingAttempt = pingAttempt;
        this.pingTimeout = pingTimeout;
        this.instabilityAttempt = instabilityAttempt;
        this.instabilityLimit = instabilityLimit;
    }

    public int getPingRepeat() {
        return pingRepeat;
    }

    public void setPingRepeat(int pingRepeat) {
        this.pingRepeat = pingRepeat;
    }
    
    public int getPingAttempt() {
        return pingAttempt;
    }

    public void setPingAttempt(int pingAttempt) {
        this.pingAttempt = pingAttempt;
    }

    public int getPingTimeout() {
        return pingTimeout;
    }

    public void setPingTimeout(int pingTimeout) {
        this.pingTimeout = pingTimeout;
    }

    public int getInstabilityAttempt() {
        return instabilityAttempt;
    }

    public void setInstabilityAttempt(int instabilityAttempt) {
        this.instabilityAttempt = instabilityAttempt;
    }

    public int getInstabilityLimit() {
        return instabilityLimit;
    }

    public void setInstabilityLimit(int instabilityLimit) {
        this.instabilityLimit = instabilityLimit;
    }
     
    

}
